Package Details: gcc48 4.8.5-1

Git Clone URL: https://aur.archlinux.org/gcc48.git (read-only, click to copy)
Package Base: gcc48
Description: The GNU Compiler Collection - C and C++ frontends (4.8.x)
Upstream URL: http://gcc.gnu.org
Licenses: GPL, custom, LGPL, FDL
Submitter: ftschindler
Maintainer: severach
Last Packager: severach
Votes: 11
Popularity: 0.005016
First Submitted: 2014-05-06 16:14
Last Updated: 2021-09-28 18:52

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

lahwaacz commented on 2015-05-27 13:07

Does the package still build with GCC 5.1? I'm getting some errors, the relevant snippet is below:

...
ar: /home/lahwaacz/build/aur/gcc48/src/gcc-build/x86_64-unknown-linux-gnu/libstdc++-v3/src/.libs/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/bin/../bin/../lib/bfd-plugins/LLVMgold.so)

../libtool: line 1132: 4748 Segmentation fault (core dumped) ar rc .libs/libstdc++.a <many object files>
Makefile:545: recipe for target 'libstdc++.la' failed
make[6]: *** [libstdc++.la] Error 139
make[6]: Leaving directory '/home/lahwaacz/build/aur/gcc48/src/gcc-build/x86_64-unknown-linux-gnu/libstdc++-v3/src'
...

ftschindler commented on 2015-01-15 13:57

Updated to 4.8.4-1:
* fixed https://github.com/ftalbrecht/aur/issues/8 (drop gcc-ada dependency) thanks to doragasu
* fixed https://github.com/ftalbrecht/aur/issues/7 (update to 4.8.4) thanks to anarch.linux

anarch.linux commented on 2015-01-10 16:11

4.8.4 was released dec 19, 2014.
gcc-4.8-lambda-ICE.patch is not needed anymore.

doragasu commented on 2015-01-07 10:56

I wasn't able to build the PKGBUILD on the ARM machine, but it looks like it is because of a gcc bug on this arch.

I was able to build it though on both i386 and x64 architectures removing both gcc-ada and doxygen dependencies. For the last one to work, you have also to edit the PKGBUILD and remove the make documentation lines:

# make documentation
make -C $CHOST/libstdc++-v3/doc doc-man-doxygen

ftschindler commented on 2015-01-06 20:35

Sorry for the late reply. The dependency is there bc. I just adapted the gcc46 PKGBUILD. So I can not tell you if or for what it is needed. Perhaps you can report your findings, e.g. if you were able to successfully build the package without gcc-ada?

doragasu commented on 2014-12-22 13:52

Why the dependency on doxygen and gcc-ada. I'm trying to build this using an ARM machine (a chromebook) but gcc-ada is not available for this architecture. Is it really needed?

ftschindler commented on 2014-07-01 07:27

In general: I can try, yes. At the moment: I am quite short on time, so it might take some time. Meanwhile, everyone is welcome to try...

MacNuke commented on 2014-06-30 22:09

Can you do a multilib version of that package?

ftschindler commented on 2014-06-02 19:28

Updated to 4.8.3-2:
* fixed https://github.com/ftalbrecht/aur/issues/5, thanks to maleadt

maleadt commented on 2014-06-02 14:47

There is an issue with package(): the mv should redirect its pipes using &>/dev/null rather than 2&>, or ls returns 2 and the move of libgcc to a pkgver-dependent directory never happens (and conflicts happen at installation time).

$ ls / 2&>/dev/null && echo test; echo $?
2
$ ls / &>/dev/null && echo test; echo $?
test
0